dofile_once("data/scripts/lib/utilities.lua")
local dialog_system = dofile_once("mods/vehicles/lib/dialogsystem/dialog_system.lua")

local entity_id = GetUpdatedEntityID()
local var_comp = get_variable_storage_component( entity_id, "initialised" )

if ComponentGetValue2(var_comp, "value_bool") == false then
	ComponentSetValue2(var_comp, "value_bool", true)
    dialog = dialog_system.open_dialog({
		name = GameTextGetTranslatedOrNot("$vehicles_mayor_name"),
		portrait = "mods/vehicles/files/plane/mayor_portrait.png",
		-- typing_sound = "two", -- There are currently 6: default, sans, one, two, three, four and "none" to turn it off, if not specified uses "default"
		text = GameTextGetTranslatedOrNot("$vehicles_plane_ufos_start"),
	})
end
if ComponentGetValue2(var_comp, "value_bool") == true then
	if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") > 1000 then
		dialog.close()
	end
end