dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/coroutines.lua")

async(function() 
  local entity_id = GetUpdatedEntityID()
  local x, y = EntityGetTransform(entity_id)

  wait(600)
  EntitySetComponentsWithTagEnabled(entity_id, "start_up", true)
  
  wait(300)
  EntitySetComponentsWithTagEnabled(entity_id, "move_up", true)
  
  wait(600)
  
  local player = EntityGetWithTag("player_unit")[1]
  if player then
    GameAddFlagRun("ending_game_completed")
    GameOnCompleted()
    EntityKill(player)
	EntityLoad( "mods/vehicles/files/fake_credits.xml", x, y )
  end
  
  wait(60)
  
  EntityKill(entity_id)
end)