dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local x, y, r = EntityGetTransform(entity_id)

local parent_damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
local parent_health = ComponentGetValue2(parent_damage_model_component, "hp")

if GlobalsGetValue("vehicles_level4", "0") == "0" then
	--GUI
	gui = gui or GuiCreate()
	GuiStartFrame(gui)
	local screen_width, screen_height = GuiGetScreenDimensions(gui)
	local healthbar_width = (30)
	local healthbar_height = 2
	local healthbar_offset_y = screen_height * 0.213889 -48
	local hp_max = 100
	local hp = math.floor(( parent_health / 4 ) * 100) -- SET YOUR HP HEEEEEEEEEEEEEREEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
	if hp < 0 then
	  return
	end

	local percent_filled = hp / hp_max
	local inner_healthbar_width = (healthbar_width) * percent_filled
	-- Outline / Background
	GuiOptionsAddForNextWidget(gui, 2) -- NonInteractive
	GuiZSetForNextWidget(gui, -100)
	GuiImage(gui, 2, (screen_width / 2) - (healthbar_width), screen_height - healthbar_offset_y - 8, "data/ui_gfx/hud/colors_health_bar_damage.png", 1, healthbar_width, healthbar_height) -- 20x20
	-- Actual inner bar
	GuiOptionsAddForNextWidget(gui, 2) -- NonInteractive
	GuiZSetForNextWidget(gui, -101)
	GuiImage(gui, 3, (screen_width / 2) - (healthbar_width), screen_height - healthbar_offset_y - 8, "data/ui_gfx/hud/colors_health_bar.png", 1, inner_healthbar_width, healthbar_height) -- 20x20
	-- Health icon
	GuiOptionsAddForNextWidget(gui, 2) -- NonInteractive
	GuiZSetForNextWidget(gui, -102)
	GuiImage(gui, 4, (screen_width / 2 ) + ( healthbar_width / 2 ) + 17, screen_height - healthbar_offset_y - 10, "data/ui_gfx/hud/health.png", 1, 1, 1)
	-- Text
	local text_width = GuiGetTextDimensions(gui, hp, 1)
	GuiColorSetForNextWidget(gui, 1, 1, 1, 1)
	GuiZSetForNextWidget(gui, -103)
	GuiText(gui, (screen_width / 2) - (text_width / 2), screen_height - healthbar_offset_y - 1, hp .. "%")
	
	-- --making the sea form waves:
	-- local cx, cy = GameGetCameraPos()
	-- SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	-- for i=1,Random(6, 10) do
		-- SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
		-- local randomx = Random(-256, 256)
		-- local randomy = Random(-50, 150)
		
		-- local nx = cx + randomx
		-- local ny = cy + randomy
		
		-- local coord_in_water, hit_x, hit_y = RaytraceSurfacesAndLiquiform( nx, ny - 50, nx, ny - 40 )
		-- local coord_in_solid, hit_x2, hit_y2 = RaytracePlatforms( nx, ny - 50, nx, ny - 40 )
		-- if coord_in_water and (not coord_in_solid) then
			-- EntityLoad( "mods/vehicles/files/materials/sea_locomotion.xml", nx , ny )
		-- end
	-- end
end