dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local x, y, rot = EntityGetTransform(entity_id)

local parent_damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
local parent_health = ComponentGetValue2(parent_damage_model_component, "hp")

if parent_health < 0.5 then
	EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
else
	EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", false)
end

local player_id = get_players()[1]
if (player_id ~= nil) then
	local px, py = EntityGetTransform( player_id )
	local dist = get_distance(x, y, px, py)
	
	if dist > 350 then
		local parent_id = EntityGetParent(entity_id)
		local copter = EntityLoad("mods/vehicles/files/ufo/ufo_spawner2.xml", x, y)
		-- local var_comp = get_variable_storage_component( copter, "parent_id" )
		-- ComponentSetValue2(var_comp, "value_int", parent_id)
		EntityAddChild(parent_id, copter)
		EntityKill(entity_id)
	end
end