dofile_once("data/scripts/lib/utilities.lua")
local dialog_system = dofile_once("mods/vehicles/lib/dialogsystem/dialog_system.lua")

local entity_id = GetUpdatedEntityID()
local var_comp = get_variable_storage_component( entity_id, "initialised" )

if ComponentGetValue2(var_comp, "value_bool") == false then
    ComponentSetValue2(var_comp, "value_bool", true)
    dialog = dialog_system.open_dialog({
        name = GameTextGetTranslatedOrNot("$vehicles_uncle_ben_name"),
        portrait = "mods/vehicles/files/uncle/uncle_ben_portrait.png",
        -- typing_sound = "two", -- There are currently 6: default, sans, one, two, three, four and "none" to turn it off, if not specified uses "default"
        text = GameTextGetTranslatedOrNot("$vehicles_uncle_ben_dialogue_finish"),
      options = {
        {
          text = GameTextGetTranslatedOrNot("$vehicles_dialogue_leave"),
          func = function(dialog)
            dialog.show({
              text = GameTextGetTranslatedOrNot("$vehicles_uncle_ben_dialogue_finish2"),
            })
          end
        }
      },
      on_closed = function(dialog)
        -- dialog has closed
          GlobalsSetValue("vehicles_respawn_in_progress", "1")
          SetTimeOut(4, "mods/vehicles/files/restart.lua", "clear")
          SetTimeOut(5, "mods/vehicles/files/restart.lua", "respawn")
      end
    })
end
-- if ComponentGetValue2(var_comp, "value_bool") == true then
    -- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") > 2000 then
        -- dialog.close()
    -- end
-- end