dofile_once("data/scripts/lib/utilities.lua")
local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform(entity_id)

function get_player()
  local players = get_players()
  if players ~= nil then
    return players[1]
  end

  -- TODO: What does this mean anyway? Player is dead..?
  return nil
end

local player = get_player()
local px, py = EntityGetTransform(player)

if px < x + 300 and px > x - 300 then

	local did_hit, did_hit_x, did_hit_y = RaytraceSurfacesAndLiquiform( x, y - 512, x, y + 512 )
	if did_hit == true then
		local vehicle = EntityLoad("mods/vehicles/files/uncle/hut.xml", did_hit_x, did_hit_y - 50)
		local tx, ty = EntityGetTransform(vehicle)
	else
		local vehicle = EntityLoad("mods/vehicles/files/uncle/hut.xml", x, y - 50 + 512)
	end

	EntityKill(entity_id)

end