dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y, rotation = EntityGetTransform(entity_id)

function get_player()
  local players = get_players()
  if players ~= nil then
    return players[1]
  end

  -- TODO: What does this mean anyway? Player is dead..?
  return nil
end

local player = get_player()
local px, py = EntityGetTransform(player)

if px < x + 300 and px > x - 300 then

	local fire_present = false


	for i, fire in ipairs(EntityGetAllChildren(entity_id) or {}) do

		fire_present = true

	end

	if fire_present == false then
	 if not EntityHasTag( entity_id, "extinguished" ) then
		EntityAddTag( entity_id, "extinguished" )
		-- EntityRemoveTag( entity_id, "building" )
		local stars = tonumber(GlobalsGetValue("saved_buildings", "0"))
		GlobalsSetValue("saved_buildings", stars + 1)
	 end
	end
end