function material_area_checker_success(x, y)
  local entity_id = GetUpdatedEntityID()
  SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
  
  local creatures = {}
  
  for i=1, 10 do
	table.insert(creatures, "data/entities/animals/fish.xml")
	table.insert(creatures, "data/entities/animals/fish_large.xml")
  end
  
  table.insert(creatures, "data/entities/animals/eel.xml")
  
  local random_index = Random(1, #creatures)
  local creature = creatures[random_index]
  
	local creature = EntityLoad(creature, x, y)
	local damage_model_component = EntityGetFirstComponentIncludingDisabled(creature, "DamageModelComponent")
	ComponentSetValue2(damage_model_component, "ragdoll_fx_forced", "DISINTEGRATED")
	ComponentSetValue2(damage_model_component, "ragdoll_material", "rock_static_glow")
	ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "")
	ComponentSetValue2(damage_model_component, "blood_material", "")
	ComponentSetValue2(damage_model_component, "blood_spray_material", "")

  EntityKill(entity_id)
end
