dofile_once("data/scripts/lib/utilities.lua")

local entity = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform(entity)

EntityAddComponent2(entity, "PhysicsBody2Component", {
	allow_sleep=true,
	linear_damping=0.1 ,
	hax_wait_till_pixel_scenes_loaded=true,
	angular_damping=0.5,
	kill_entity_after_initialized=false,
	kill_entity_if_body_destroyed=false
})

EntityAddComponent2(entity, "PhysicsImageShapeComponent", {
	body_id=1,
	centered=true,
	is_root=true,
	image_file="mods/vehicles/files/truck/truck.png",
	material=CellFactory_GetType("steel_go_through")
})

EntityAddComponent2(entity, "PhysicsImageShapeComponent", {
	body_id=2,
	centered=true,
	is_circle=true,
	image_file="mods/vehicles/files/truck/wheel_left1.png",
	z=-1,
	material=CellFactory_GetType("tire_rubber")
})

EntityAddComponent2(entity, "PhysicsImageShapeComponent", {
	body_id=3,
	centered=true,
	is_circle=true,
	image_file="mods/vehicles/files/truck/wheel_left2.png",
	z=-1,
	material=CellFactory_GetType("tire_rubber")
})

EntityAddComponent2(entity, "PhysicsImageShapeComponent", {
	body_id=4,
	centered=true,
	is_circle=true,
	image_file="mods/vehicles/files/truck/wheel_right.png",
	z=-1,
	material=CellFactory_GetType("tire_rubber")
})

EntityAddComponent2(entity, "PhysicsJoint2Component", {
	type="REVOLUTE_JOINT",
	break_force=0,
	break_distance=0,
	body1_id=1,
	body2_id=2,
	offset_x=-57,
	offset_y=26
})

EntityAddComponent2(entity, "PhysicsJoint2Component", {
	type="REVOLUTE_JOINT",
	break_force=0,
	break_distance=0,
	body1_id=1,
	body2_id=3,
	offset_x=-40,
	offset_y=26
})

EntityAddComponent2(entity, "PhysicsJoint2Component", {
	type="REVOLUTE_JOINT",
	break_force=0,
	break_distance=0,
	body1_id=1,
	body2_id=4,
	offset_x=-45,
	offset_y=26
})